org.eclipse.net4j.util.security

## Class NegotiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.SecurityException
        - - org.eclipse.net4j.util.security.NegotiationException

- All Implemented Interfaces:
    Serializable

      public class NegotiationException
      extends SecurityException

  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegotiationException()`
    `NegotiationException(String s)`
    `NegotiationException(String message, Throwable cause)`
    `NegotiationException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NegotiationException

          public NegotiationException()

    - #### NegotiationException

          public NegotiationException(String s)

    - #### NegotiationException

          public NegotiationException(Throwable cause)

    - #### NegotiationException

          public NegotiationException(String message,
                                      Throwable cause)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html